#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import socket

from hostattachment.exceptions import HostAttachmentError

DEFAULT_ISCSI_PORT = 3260
CONNECTION_TIMEOUT = 5

def test_iscsi_connectivity(address, port=DEFAULT_ISCSI_PORT):
  test_socket = socket.socket(socket.AF_INET)
  test_socket.settimeout(CONNECTION_TIMEOUT)
  try:
    test_socket.connect((address, port))
    test_socket.close()
  except (socket.gaierror, socket.error), e:
    raise HostAttachmentError("Failed iSCSI connectivity test: " + str(e))
