#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

from hostattachment.platform.linux.service import GenericServiceManager
from hostattachment.platform.linux.classes import get_os_string
from hostattachment.exceptions import HostAttachmentError

from connection_manager import ConnectionManager
from initiator import InitiatorNameOpenIscsi
from iscsid_conf import IscsidConfOpenIscsi

def get_init_script_name():
    """Returns the name of the iscsi init script, depends on the OS"""
    os_string = get_os_string().lower()
    if os_string.startswith("suse"):
        return "open-iscsi"
    elif os_string.startswith("redhat"):
        return "iscsi"
    else:
        raise HostAttachmentError("Bad os %s" % (os_string))
