#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import os

from hostattachment.platform.linux.iscsi.classes import IInitiatorName

class InitiatorNameOpenIscsi(IInitiatorName):
    conf_filename = 'initiatorname.iscsi'

    def __init__(self):
        self.set_dest_filename()

    def set_dest_filename(self):
        if self.is_conf_in_dir("/etc/iscsi"):
            self.dest_filename = '/etc/iscsi/%s' % self.conf_filename
        elif self.is_conf_in_dir("/etc"):
            self.dest_filename = '/etc/%s' % self.conf_filename
        else:  # NOWHERE, we should generate this file!
            if not os.path.exists("/etc/iscsi"):
                os.mkdir("/etc/iscsi")
            try:
                os.symlink("/etc/%s" % (self.conf_filename), \
                    "/etc/iscsi/%s" % (self.conf_filename) )
            except OSError, e:
                if e.errno == 17:
                    # File already exists, we don't care
                    pass
                else:
                    # Other OSError
                    raise

            self.dest_filename = '/etc/%s' % self.conf_filename

    def is_conf_in_dir(self, dir_path):
        return (os.path.exists(os.path.join(dir_path, self.conf_filename)))
