#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

from definitions import HOSTATTACHMENT_VERSION

WIZARD_ATTACH_BANNER = \
    "Welcome to the XIV Host Attachment wizard, version %s.\n" % HOSTATTACHMENT_VERSION + \
    "This wizard will assist you to attach this host to the XIV system."

WIZARD_DETACH_BANNER = \
    "Welcome to the XIV Host Detachment wizard, version %s.\n" + \
    "This wizard will assist you in detaching this host from the XIV system."

WIZARD_DETACH_WARNING = \
    "This wizard will unconfigure this host for XIV connectivity.\n" + \
    "The host will not work properly with XIV devices until its reconfigured.\n" + \
    "Are you sure you would like to continue?"

WIZARD_DETACH_REMOVE_DEVICES = \
    "If you still have XIV volumes mapped to this host,\n" + \
    "It is recommended that you unmap them now before unconfiguring the host.\n" + \
    "Do you want to continue with unconfiguring the host?"

WIZARD_VALIDATE = \
    "The wizard will now validate host configuration for the XIV system."

WIZARD_SEPARATOR = \
    "-" * 79

ATTACHMENT_TYPE_PROMPT = \
    "Please choose a connectivity type"

ONLY_ISCSI_PROMPT = \
    "Only iSCSI is supported on this host.\n" + \
    "Would you like to set up an iSCSI attachment?"

ONLY_FC_PROMPT = \
    "Only fibre-channel is supported on this host.\n"+ \
    "Would you like to set up an FC attachment?"

HOST_ALREADY_CONFIGURED = \
    "This host is already configured for the XIV system"

HOST_CONFIG_VALIDATION_NOTIFICATION = \
    "Please wait while the wizard validates your existing configuration..."

HOST_CONFIG_PROMPT = \
    "The wizard needs to configure the host for the XIV system.\n" + \
    "Do you want to proceed?"

HOST_CONFIG_SUCCESS = \
    "The host is now being configured for the XIV system"

HOST_UNCONFIG_SUCCESS = \
    "The host is now being unconfigured for the XIV system"

HOST_CONFIGURED = \
    "The host is already configured for the XIV system"

NEW_ISCSI_CONNECT = \
    "Would you like to discover a new iSCSI target?"

ISCSI_CONNECT_ADDR = \
    "Enter an XIV iSCSI discovery address (iSCSI interface):"

ISCSI_CHAP_REQUEST = \
    "Is this host defined in the XIV system to use CHAP?"

ISCSI_CHAP_NAME = \
    "Enter a CHAP name:"

ISCSI_CHAP_SECRET= \
    "Enter a CHAP secret:"

FC_RESCAN_PROMPT = \
    "Would you like to rescan for new storage devices now?"

ISCSI_RESCAN_PROMPT = \
    "Would you like to rescan for new storage devices now?"

HOST_CONFIG_COMPLETE = \
    "The host was successfully configured for the XIV system"

WIZARD_ATTACH_ENDED = \
    "The XIV host attachment wizard successfully configured this host"

WIZARD_DETACH_ENDED = \
    "The XIV host attachment wizard successfully detached this host"

XIV_FC_HOST_DEFINE = \
    "Please zone this host and add its WWPNs with the XIV storage system:"

XIV_ISCSI_HOST_DEFINE = \
    "Please define this host and add its initiator name in the XIV storage system:"

USER_ABORT_CONFIRM = \
    "Are you sure you want to cancel the configuration wizard?"

USER_ABORT = \
    "The operation was canceled"

REBOOT_REQUIRED = \
    "A reboot is required in order to continue.\n" + \
    "Please reboot the machine and restart the wizard"

HOST_CONFIG_WAIT = \
    "Please wait while the host is being configured..."

HOST_UNCONFIG_WAIT = \
    "Please wait while the host is being unconfigured..."

HOST_RESCAN_WAIT =  \
    "Please wait while rescanning for storage devices..."

INPUT_INVALID_PREFIX = \
    "Not a valid reply. Valid replies are:"

INPUT_INVALID_PREFIX_NO_VALID_REPLIES = \
    "Not a valid reply. Valid replies are:"

ENTER_TO_PROCEED = \
    "Press [Enter] to proceed"

DISCOVER_NEW_DEVICES_PROMPT = \
    "Would you like to discover new XIV Storage devices now?"

PLATFORM_NOT_SUPPORTED_CONFIRM = \
    "Configuring this host is experimental and is done at your own risk.\n" + \
    "Please confirm that by typing 'I understand': "

CONFLICTING_COMMANDS = \
    "Bad arguments: conflicting arguments. Please use one command at a time."

ISCSI_CHAP_BOTH_NAME_AND_SECRET = \
    "both CHAP name and secret are required."

ISCSI_CHAP_NAME_INVALID = \
    "CHAP name must be a string of ASCII characters."

ISCSI_CHAP_SECRET_INVALID = \
    "CHAP secret must be a string in length of 12 to 16 characters."

NOT_SUPPORTED_FC = \
    "FC is not supported on this host"

NOT_SUPPORTED_ISCSI = \
    "iSCSI is not supported on this host"

EXPERIMENTAL_SUPPORT = \
    "This platform is defined as 'EXPERIMENTAL'"

EXPERIMENTAL_ACK = \
    "User understands this the attachment for this platform is EXPERIMENTAL"

HOST_DEFINED_ON_ALL_ARRAYS = \
    "This host is defined on all attached XIV storage arrays"

HOST_DEFINED_ON_ALL_ARRAYS_FC = \
    "This host is defined on all FC-attached XIV storage arrays"

HOST_DEFINED_ON_ALL_ARRAYS_ISCSI = \
    "This host is defined on all iSCSI-attached XIV storage arrays"

ASK_TO_DEFINE_HOST = \
    "This host is not defined on some of the attached XIV storage systems.\n" \
    "Do you wish to define this host these systems now?"

ASK_TO_DEFINE_HOST_FC = \
    "This host is not defined on some of the FC-attached XIV storage systems.\n" \
    "Do you wish to define this host these systems now?"

ASK_TO_DEFINE_HOST_ISCSI = \
    "This host is not defined on some of the iSCSI-attached XIV storage systems.\n" \
    "Do you wish to define this host these systems now?"

STORAGE_ARRAY_FOUND = \
    "The host is connected to the following XIV storage arrays:"

STORAGE_ARRAY_NOT_FOUND = \
    "No XIV storage arrays were detected"

STORAGE_ARRAY_REQUESTED_NOT_FOUND = \
    "Requested storage array not found!."

STORAGE_ARRAY_CONNECTION = \
    "Connecting to the storage array..."

STORAGE_ARRAY_USERNAME = \
    "Please enter a username for system"

STORAGE_ARRAY_PASSWORD_PART_1 = \
    "Please enter the password of user"

STORAGE_ARRAY_PASSWORD_PART_2 = \
    "for system"

STORAGE_INVALID_CREDENTIALS = \
    "Invalid credentials."

STORAGE_ARRAY_HOSTNAME = \
    "Please enter a name for this host"

STORAGE_ARRAY_HOST_ALREADY_EXISTS = \
    "This host name already exists. Would you like to use it? "

STORAGE_DEFINE = \
    "Please wait while the host is being defined..."

UNSUPPORTED_OS = \
    "This operating system version is not supported by this Host Attachment Kit.\n " + \
    "Please refer to the Release Notes of XIV Host Attachment Kit."

MISSING_MACHINE_SERIAL = \
    "Invalid or missing machine serial argument"

MISSING_MACHINE_USER = \
    "Invalid or missing xcli username argument"

MISSING_MACHINE_PASSWORD = \
    "Invalid or missing xcli username argument"

MISSING_MACHINE_USER = \
    "Invalid or missing xcli password argument"
