#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import sys
import logging

from hostattachment import definitions, exceptions
from hostattachment import logger, translation, interactive, admin
from hostattachment.definitions import ATTACHMENT_FC, ATTACHMENT_ISCSI
from hostattachment.wizard_assistant import *

class Wizard(object):
    def __init__(self):
        pass
    
    def start(self):
        """
        The wizard starts here
        """
        detach_welcome()
        print_separator()
        self.attachment , self.selected_attachment_type = select_an_attachment()
        self.remove_devices()
        self.unconfigure()
        detach_end()
    
    @admin.try_and_catch
    def remove_devices(self):
        print_separator()
        if not interactive.prompt(translation.WIZARD_DETACH_REMOVE_DEVICES):
            raise exceptions.UserAbortException()
        
    @admin.try_and_catch
    def unconfigure(self):
        print_separator()
        print translation.HOST_UNCONFIG_WAIT; sys.stdout.flush()
        reboot = False
        try:
            self.attachment.unconfig()
        except exceptions.RebootRequiredException:
                reboot = True
        if reboot:
            raise exceptions.RebootRequiredException()
        print translation.HOST_UNCONFIG_SUCCESS
    
def main():
    wizard = Wizard()
    wizard.start()
    
if __name__ == '__main__':
    main()
