#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program  
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
# 
#-------------------------------------------------------------------------------------------------   

from time import time
# from xml.etree import ElementTree, SubElement

from exceptions import CollectionError

class ICollectable(object):
    """
    Collect metadata
    """
    
    def __init__(self, description):
        self.attributes = dict()
        self.add_attribute("description", description)
        pass


    def collect(self):
        raise NotImplementedError

    def __call__(self):
        self.collect()

    def add_attribute(self, name, value):
        if self.attributes.has_key(name):
            raise AttributeError("Attribute %s already exists" % name)
        self.attributes[name] = value

    def get_attribute(self, name):
        if not self.attributes.has_key(name):
                raise AttributeError("Attribute %s does not exist" % name)
        return self.attributes[name]

#    def generate_xml_string(self):
#        xml_root = ElementTree.Element("CollectedItem")
#        for name, value in self.attributes.iteritems():
#            attribute_element = ElementTree.SubElement(xml_root, "CollectionAttribute")
#            attribute_element.set("name", name)
#            attribute_element.text = str(value)
#        return ElementTree.tostring(xml_root)

    def get_attributes_dictionary(self):
        return self.attributes
