#!/usr/bin/env xpyv

#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import sys, os
import logging
from os.path import normpath, realpath, join
from xpyv import project_root_path

DRIVERS_DIR = os.path.join(os.environ['SystemRoot'],'System32', 'Drivers')

def get_libpath():
    return join(normpath(project_root_path.find(realpath(__file__))), 'lib')

def set_pythonpath():
    libpath = get_libpath()
    sys.path.append(libpath)

set_pythonpath()

from hostattachment_project import initialize_project
initialize_project()

from xiv_xsf.host.os.windows.filesystem.file import File
from xiv.dtypes import Bunch

def print_drivers_version_info():
    for item in os.listdir(DRIVERS_DIR):
        path = os.path.join(DRIVERS_DIR, item)
        if os.path.isdir(path):
            continue
        file_object = File(path)
        driver = Bunch()
        driver.name = item
        driver.size = file_object.size
        driver.version = file_object.version
        print str(driver)
    
def main():
    print '%s started' % str(__file__)
    print_drivers_version_info()

main()

